package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 审核
 */
@Data
public class Audit {

    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("流程ID")
    private Long processId;

    @ApiModelProperty("业务ID")
    private Long businessId;

    @ApiModelProperty("业务单号")
    private String businessNumber;

    @ApiModelProperty("流程类型")
    private String type;

    @ApiModelProperty("审核状态(0:进行中 1:已通过 2:未通过)")
    private Integer auditStatus;

    @ApiModelProperty("提交用户")
    private Long submitUser;

    @ApiModelProperty("提交时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;

    @ApiModelProperty("删除标记，0正常，1删除")
    private Boolean deleteFlag;

}
