package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 产品初始库存表实体类
 */
@Data
@Accessors(chain = true)
@TableName("jsh_material_initial_stock")
public class MaterialInitialStock {

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("产品id")
    private Long materialId;

    @ApiModelProperty("仓库id")
    private Long depotId;

    @ApiModelProperty("初始库存数量")
    private BigDecimal number;

    @ApiModelProperty("最低库存数量")
    private BigDecimal lowSafeStock;

    @ApiModelProperty("最高库存数量")
    private BigDecimal highSafeStock;

    @ApiModelProperty("租户id")
    private Long tenantId;

    @ApiModelProperty("删除标记，0未删除，1删除")
    private String deleteFlag;

    @ApiModelProperty("仓位货架")
    private String position;

    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag == null ? null : deleteFlag.trim();
    }
}