package com.jsh.erp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jsh.erp.datasource.entities.MaterialUnit;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface MaterialUnitService extends IService<MaterialUnit> {

    /**
     * 保存商品单位
     * @param units 商品单位集合
     * @param meId  商品拓展id
     */
    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    Boolean saveDetails(List<MaterialUnit> units, Long meId);

    /**
     * 获取商品包装规格
     */
    String getStandardByMeId(Long meId);

    int batchDeleteMaterialUnitByMIds();

}
