package com.jsh.erp.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jsh.erp.datasource.entities.MaterialUnit;
import com.jsh.erp.datasource.mappers.MaterialUnitMapper;
import com.jsh.erp.query.LambdaQueryWrapperX;
import com.jsh.erp.service.MaterialUnitService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
public class MaterialUnitServiceImpl extends ServiceImpl<MaterialUnitMapper,MaterialUnit> implements MaterialUnitService {

    @Resource
    private MaterialUnitMapper materialUnitMapper;

    /**
     * 保存商品单位
     * @param units 商品单位集合
     * @param meId  商品拓展id
     */
    @Override
    public Boolean saveDetails(List<MaterialUnit> units, Long meId) {
        update(new UpdateWrapper<MaterialUnit>().set("delete_flag",true).eq("material_extend_id",meId));
        for (MaterialUnit unit : units) {
            unit.setMaterialExtendId(meId);
        }
        return saveOrUpdateBatch(units);
    }

    /**
     * 获取商品包装规格
     * @param meId
     */
    @Override
    public String getStandardByMeId(Long meId) {
        List<MaterialUnit> unitList = materialUnitMapper.selectList(new LambdaQueryWrapperX<MaterialUnit>()
                .eq(MaterialUnit::getMaterialExtendId,meId).eq(MaterialUnit::getDeleteFlag,false));
        String unitName = unitList == null ? "" : unitList.get(0).getName();
        if (unitList.size() > 1){
            MaterialUnit unit = unitList.get(1);
            unitName += "/(" + unit.getName() + "=" + unit.getRatio() + unitList.get(0).getName() + ")";
//            for (int i = 1; i < unitList.size(); i++) {
//                MaterialUnit unit = unitList.get(i);
//                unitName += "/(" + unit.getName() + "=" + unit.getRatio() + unitList.get(0).getName() + ")";
//            }
        }
        return unitName;
    }

    @Override
    public int batchDeleteMaterialUnitByMIds() {
        return 0;
    }

}
