package com.jsh.erp.util.poi;

import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.springframework.util.StringUtils;

public class ExcelUtil {

    public static String getContent(Sheet src, int rowNum, int colNum) {
        Row row = src.getRow(rowNum);
        if(row != null && colNum < row.getLastCellNum()) {
            Cell cell = src.getRow(rowNum).getCell(colNum);
            if (cell != null){
                String str = null;
                if (cell.getCellType().toString().equals("NUMERIC")){
                    str = String.valueOf(src.getRow(rowNum).getCell(colNum).getNumericCellValue()).trim();
                }else{
                    str = src.getRow(rowNum).getCell(colNum).getStringCellValue().trim();
                }
                return str;
            }
        }
            return null;
    }

    /**
     * 获取真实的行数，剔除掉空白行
     * @param sheet
     * @return
     */
    public static int getRightRows(Sheet sheet) {
        int rsRows = sheet.getLastRowNum(); //行数
        //int rsCols = src.get(); //列数
        int rowCount = 0;
        for (int i = sheet.getFirstRowNum(); i <= rsRows; i++) { //统计行中为空的单元格数
            Row row = sheet.getRow(i);
            if (row != null) { // 确保行存在
                boolean isEmptyRow = true;
                for (Cell cell : row) {
                    if (cell.getCellType() != CellType.BLANK && cell.toString().trim().length() > 0) { // 检查单元格不为空且不为空字符串
                        isEmptyRow = false;
                        break;
                    }
                }
                if (!isEmptyRow) {
                    rowCount++;
                }
            }
        }
        return rowCount;
    }
}
